Module Module1

  Dim IadsFile As New IADSDATAFILEINTERFACELib.DataFile
  Dim startTime As New IADSTIMELib.IadsTime

  Sub Main()
    Dim dataUI32() As UInt32
    Dim High32() As Int32
    Dim Low32() As Int32
    Dim actualPoints As Integer
    Dim irigTime(100) As Object

    ReDim dataUI32(100)
    ReDim High32(100)
    ReDim Low32(100)

    Dim i As Integer
    For i = 0 To 100
      irigTime(i) = New IADSTIMELib.IadsTime
    Next

    '
    ' Test ReadData
    '
    IadsFile.OpenExisting("D:\\PostFlightData\\IADSTestData\\NewIadsData\\FixedDataSize\\PeriodicDiscrete", "Parm1")
    startTime.PutTime(86400, 0)
    IadsFile.ReadData(startTime, 100, dataUI32, actualPoints, irigTime)
    IadsFile.Close()

    ' check one of the times returned
    Dim time As IADSTIMELib.IadsTime
    time = irigTime(1)
    Dim tn As Int64
    tn = time.TotalNanoseconds

    '
    ' Test ReadData64
    '
    IadsFile.OpenExisting("D:\\PostFlightData\\IADSTestData\\NewIadsData\\FixedDataSize\\PeriodicLong", "Parm1")
    startTime.PutTime(86400, 0)
    IadsFile.ReadData64(startTime, 100, High32, Low32, actualPoints, irigTime)
    IadsFile.Close()

    '
    ' Test the 32 bit AppendData
    '
    IadsFile.Create("c:\\", "ParmUI32_VB")
    IadsFile.SampleRate = 50.0
    IadsFile.DataType = IADSDATAFILEINTERFACELib.IadsDataType.IadsPeriodicType
    IadsFile.DataFormat = IADSDATAFILEINTERFACELib.IadsDataFormat.IadsUnsignedInt32Type
    startTime.PutTime(86400, 0)
    IadsFile.StartTimeVB = startTime
    IadsFile.WriteHeader()
    IadsFile.AppendData(100, dataUI32, actualPoints, irigTime)
    IadsFile.Close()

    '
    ' Test the 64 bit AppendData
    '
    IadsFile.Create("c:\\", "ParmI64_VB")
    IadsFile.SampleRate = 50.0
    IadsFile.DataType = IADSDATAFILEINTERFACELib.IadsDataType.IadsPeriodicType
    IadsFile.DataFormat = IADSDATAFILEINTERFACELib.IadsDataFormat.IadsInt64Type
    startTime.PutTime(86400, 0)
    IadsFile.StartTimeVB = startTime
    IadsFile.WriteHeader()
    IadsFile.AppendData64(100, High32, Low32, actualPoints, irigTime)
    IadsFile.Close()

    '
    ' Test some of the helper functions
    '
    IadsFile.FromIadsTimeToInt(irigTime, High32, Low32)
    IadsFile.FromIntToIadsTime(High32, Low32, irigTime)
    IadsFile.CreateIadsTimeArray(200, irigTime)


  End Sub

End Module