' DataTesetVBS - Test various features of the IadsDataFileInterface API
'
' For Debugging, use cscript \Projects\Tools\IadsDataFileInterface\DataTesterVBS\DataTesterVBS.vbs
'
Set IadsFile = CreateObject("IadsDataFileInterface.DataFile")
Set StartTime = CreateObject("IadsTime.IadsTime")

Dim dataF32(100)
Dim dataI32Lo(100)
Dim dataI32Hi(100)
Dim actualPts
actualPts = -1
Dim IrigTime(105)

Dim int1(100)
Dim int2(100)
For index = 0 To 99
	dataF32(index) = 0.0
	int1(index) = index
	int2(index) = index
	Set IrigTime(index) = CreateObject("IadsTime.IadsTime")
	IrigTime(index).PutTime 86400, 0
Next

IadsFile.OpenExisting "D:\\Projects\\IADS\\Com\\DataTools\\IadsDataFileInterface\\DataTester\\Data\\Periodic\\Float", "parm1"
StartTime.PutTime -1, 0

'iadsFile.ReadDataF64VB StartTime, 100, dataF64, actualPts
IadsFile.ReadData StartTime, 100, dataF64, actualPts, IrigTime
IadsFile.Close()

'
' Test 64 bit read data routine
'
IadsFile.OpenExisting "D:\\PostFlightData\\IADSTestData\\NewIadsData\\FixedDataSize\\PeriodicLong", "Parm1"
StartTime.PutTime -1, 0
IadsFile.ReadData64 StartTime, 100, dataI32Hi, dataI32Lo, actualPts, IrigTime
IadsFile.Close()


'
' Test the append fucntion
'
IadsFile.Create "c:\\", "Parm100"
IadsFile.SampleRate = 50.0
IadsFile.DataType = 0
IadsFile.DataFormat = 2
StartTime.PutTime 86400,0
IadsFile.StartTimeVB = StartTime
IadsFile.WriteHeader()
IadsFile.AppendData 100, dataF64, actualPts, IrigTime
IadsFile.Close()

'
' Test 64 bit write routine
'
IadsFile.Create "c:\\", "Parm64bit"
IadsFile.SampleRate = 50.0
IadsFile.DataType = 0
IadsFile.DataFormat = 3
StartTime.PutTime 86400,0
IadsFile.StartTimeVB = StartTime
IadsFile.WriteHeader()
IadsFile.AppendData64 100, dataI32Hi, dataI32Lo, actualPts, IrigTime
IadsFile.Close()

'
' Test some of the helper functions
'
IadsFile.CreateIadsTimeArray 105, IrigTime

IadsFile.FromIntToIadsTime int1, int2, IrigTime

IadsFile.FromIadsTimeToInt IrigTime, int1, int2
